XmppNotFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.xmpp.filters.XmppNotFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp.filters
Class XmppNotFilter

    java.lang.Object
      org.mule.transport.xmpp.filters.AbstractXmppFilter
          org.mule.transport.xmpp.filters.XmppNotFilter

All Implemented Interfaces:
  org.jivesoftware.smack.filter.PacketFilter, Filter

    public class XmppNotFilter

extends AbstractXmppFilter

`XmppAndFilter` an Xmpp AND filter

Field Summary

Fields inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`delegate`

Constructor Summary
`XmppNotFilter()`
`XmppNotFilter(org.jivesoftware.smack.filter.PacketFilter filter)`

Method Summary
`protected org.jivesoftware.smack.filter.PacketFilter` | `createFilter()`
`boolean` | `equals(Object obj)`
`org.jivesoftware.smack.filter.PacketFilter` | `getFilter()`
`int` | `hashCode()`
`void` | `setFilter(org.jivesoftware.smack.filter.PacketFilter filter)`

Methods inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`accept, accept`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppNotFilter

    public XmppNotFilter()

### XmppNotFilter

    public XmppNotFilter(org.jivesoftware.smack.filter.PacketFilter filter)

Method Detail

### setFilter

    public void setFilter(org.jivesoftware.smack.filter.PacketFilter filter)

### getFilter

    public org.jivesoftware.smack.filter.PacketFilter getFilter()

### createFilter

    protected org.jivesoftware.smack.filter.PacketFilter createFilter()

  Specified by:
    `createFilter` in class `AbstractXmppFilter`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.